## bitcoin 0.16.3~dfsg

=== depends/Makefile ===
.NOTPARALLEL :

SOURCES_PATH ?= $(BASEDIR)/sources
BASE_CACHE ?= $(BASEDIR)/built
SDK_PATH ?= $(BASEDIR)/SDKs
NO_QT ?=
NO_WALLET ?=
NO_UPNP ?=
FALLBACK_DOWNLOAD_PATH ?= https://bitcoincore.org/depends-sources

BUILD = $(shell ./config.guess)
HOST ?= $(BUILD)
PATCHES_PATH = $(BASEDIR)/patches
BASEDIR = $(CURDIR)
HASH_LENGTH:=11
DOWNLOAD_CONNECT_TIMEOUT:=10
DOWNLOAD_RETRIES:=3
HOST_ID_SALT ?= salt
BUILD_ID_SALT ?= salt

host:=$(BUILD)
ifneq ($(HOST),)
host:=$(HOST)
endif

ifneq ($(DEBUG),)
release_type=debug
else
release_type=release
endif

base_build_dir=$(BASEDIR)/work/build
base_staging_dir=$(BASEDIR)/work/staging
base_download_dir=$(BASEDIR)/work/download
canonical_host:=$(shell ./config.sub $(HOST))
build:=$(shell ./config.sub $(BUILD))

build_arch =$(firstword $(subst -, ,$(build)))
build_vendor=$(word 2,$(subst -, ,$(build)))
full_build_os:=$(subst $(build_arch)-$(build_vendor)-,,$(build))
build_os:=$(findstring linux,$(full_build_os))
build_os+=$(findstring darwin,$(full_build_os))
build_os:=$(strip $(build_os))
ifeq ($(build_os),)
build_os=$(full_build_os)
endif

host_arch=$(firstword $(subst -, ,$(canonical_host)))
host_vendor=$(word 2,$(subst -, ,$(canonical_host)))
full_host_os:=$(subst $(host_arch)-$(host_vendor)-,,$(canonical_host))
host_os:=$(findstring linux,$(full_host_os))
host_os+=$(findstring darwin,$(full_host_os))
host_os+=$(findstring mingw32,$(full_host_os))
host_os:=$(strip $(host_os))
ifeq ($(host_os),)
host_os=$(full_host_os)
endif

$(host_arch)_$(host_os)_prefix=$(BASEDIR)/$(host)
$(host_arch)_$(host_os)_host=$(host)
host_prefix=$($(host_arch)_$(host_os)_prefix)
build_prefix=$(host_prefix)/native
build_host=$(build)

AT_$(V):=
AT_:=@
AT:=$(AT_$(V))

all: install

include hosts/$(host_os).mk
include hosts/default.mk
include builders/$(build_os).mk
include builders/default.mk
include packages/packages.mk

build_id_string:=$(BUILD_ID_SALT)
build_id_string+=$(shell $(build_CC) --version 2>/dev/null)
build_id_string+=$(shell $(build_AR) --version 2>/dev/null)
build_id_string+=$(shell $(build_CXX) --version 2>/dev/null)
build_id_string+=$(shell $(build_RANLIB) --version 2>/dev/null)
build_id_string+=$(shell $(build_STRIP) --version 2>/dev/null)

$(host_arch)_$(host_os)_id_string:=$(HOST_ID_SALT)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CC) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_AR) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CXX) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_RANLIB) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_STRIP) --version 2>/dev/null)

qt_packages_$(NO_QT) = $(qt_packages) $(qt_$(host_os)_packages) $(qt_$(host_arch)_$(host_os)_packages)
wallet_packages_$(NO_WALLET) = $(wallet_packages)
upnp_packages_$(NO_UPNP) = $(upnp_packages)

packages += $($(host_arch)_$(host_os)_packages) $($(host_os)_packages) $(qt_packages_) $(wallet_packages_) $(upnp_packages_)
native_packages += $($(host_arch)_$(host_os)_native_packages) $($(host_os)_native_packages)

ifneq ($(qt_packages_),)
native_packages += $(qt_native_packages)
endif

all_packages = $(packages) $(native_packages)

meta_depends = Makefile funcs.mk builders/default.mk hosts/default.mk hosts/$(host_os).mk builders/$(build_os).mk

$(host_arch)_$(host_os)_native_toolchain?=$($(host_os)_native_toolchain)

include funcs.mk

toolchain_path=$($($(host_arch)_$(host_os)_native_toolchain)_prefixbin)
final_build_id_long+=$(shell $(build_SHA256SUM) config.site.in)
final_build_id+=$(shell echo -n "$(final_build_id_long)" | $(build_SHA256SUM) | cut -c-$(HASH_LENGTH))
$(host_prefix)/.stamp_$(final_build_id): $(native_packages) $(packages)
	$(AT)rm -rf $(@D)
	$(AT)mkdir -p $(@D)
	$(AT)echo copying packages: $^
	$(AT)echo to: $(@D)
	$(AT)cd $(@D); $(foreach package,$^, tar xf $($(package)_cached); )
	$(AT)touch $@

$(host_prefix)/share/config.site : config.site.in $(host_prefix)/.stamp_$(final_build_id)
	$(AT)@mkdir -p $(@D)
	$(AT)sed -e 's|@HOST@|$(host)|' \
            -e 's|@CC@|$(toolchain_path)$(host_CC)|' \
            -e 's|@CXX@|$(toolchain_path)$(host_CXX)|' \
            -e 's|@AR@|$(toolchain_path)$(host_AR)|' \
            -e 's|@RANLIB@|$(toolchain_path)$(host_RANLIB)|' \
            -e 's|@NM@|$(toolchain_path)$(host_NM)|' \
            -e 's|@STRIP@|$(toolchain_path)$(host_STRIP)|' \
            -e 's|@build_os@|$(build_os)|' \
            -e 's|@host_os@|$(host_os)|' \
            -e 's|@CFLAGS@|$(strip $(host_CFLAGS) $(host_$(release_type)_CFLAGS))|' \
            -e 's|@CXXFLAGS@|$(strip $(host_CXXFLAGS) $(host_$(release_type)_CXXFLAGS))|' \
            -e 's|@CPPFLAGS@|$(strip $(host_CPPFLAGS) $(host_$(release_type)_CPPFLAGS))|' \
            -e 's|@LDFLAGS@|$(strip $(host_LDFLAGS) $(host_$(release_type)_LDFLAGS))|' \
            -e 's|@allow_host_packages@|$(ALLOW_HOST_PACKAGES)|' \
            -e 's|@no_qt@|$(NO_QT)|' \
            -e 's|@no_wallet@|$(NO_WALLET)|' \
            -e 's|@no_upnp@|$(NO_UPNP)|' \
            -e 's|@debug@|$(DEBUG)|' \
            $< > $@
	$(AT)touch $@


define check_or_remove_cached
  mkdir -p $(BASE_CACHE)/$(host)/$(package) && cd $(BASE_CACHE)/$(host)/$(package); \
  $(build_SHA256SUM) -c $($(package)_cached_checksum) >/dev/null 2>/dev/null || \
  ( rm -f $($(package)_cached_checksum); \
    if test -f "$($(package)_cached)"; then echo "Checksum mismatch for $(package). Forcing rebuild.."; rm -f $($(package)_cached_checksum) $($(package)_cached); fi )
endef

define check_or_remove_sources
  mkdir -p $($(package)_source_dir); cd $($(package)_source_dir); \
  test -f $($(package)_fetched) && ( $(build_SHA256SUM) -c $($(package)_fetched) >/dev/null 2>/dev/null || \
    ( echo "Checksum missing or mismatched for $(package) source. Forcing re-download."; \
      rm -f $($(package)_all_sources) $($(1)_fetched))) || true
endef

check-packages:
	@$(foreach package,$(all_packages),$(call check_or_remove_cached,$(package));)
check-sources:
	@$(foreach package,$(all_packages),$(call check_or_remove_sources,$(package));)

$(host_prefix)/share/config.site: check-packages

check-packages: check-sources

install: check-packages $(host_prefix)/share/config.site


download-one: check-sources $(all_sources)

download-osx:
	@$(MAKE) -s HOST=x86_64-apple-darwin11 download-one
download-linux:
	@$(MAKE) -s HOST=x86_64-unknown-linux-gnu download-one
download-win:
	@$(MAKE) -s HOST=x86_64-w64-mingw32 download-one
download: download-osx download-linux download-win

.PHONY: install cached download-one download-osx download-linux download-win download check-packages check-sources

=== debian/changelog ===
bitcoin (0.16.3~dfsg-1) unstable; urgency=high

  [ upstream ]
  * New bugfix release.
    (CVE-2018-17144)

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix list copyright holder Satoshi Nakamoto.
    + Fix track files licensed GPL-3 with Autoconf exception.
    + Fix use exception shortname Autoconf-Macro
      (not - for the wrong thing - Autoconf).
  * Declare compliance with Debian Policy 4.2.1.
  * Unfuzz patch 1003.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Sep 2018 16:22:58 +0200

=== debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Micah Anderson <micah@debian.org>,
 Scott Howard <showard@debian.org>
Build-Depends:
 autotools-dev,
 bash-completion,
 debhelper,
 dh-autoreconf,
 dh-exec,
 libboost-chrono-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-test-dev,
 libboost-thread-dev,
 libdb++-dev,
 libevent-dev,
 libleveldb-dev,
 libminiupnpc-dev,
 libprotobuf-dev,
 libqrencode-dev,
 libsecp256k1-dev,
 libssl-dev,
 libunivalue-dev,
 libzmq3-dev,
 pkg-config,
 protobuf-compiler,
 python,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev-tools
Standards-Version: 4.2.1
Homepage: https://www.bitcoin.org/
Vcs-Git: https://salsa.debian.org/cryptocoin-team/bitcoin.git
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/bitcoin
Rules-Requires-Root: no

Package: bitcoind
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: peer-to-peer network based digital currency - daemon
 This package provides Bitcoin Core daemon bitcoind,
 and command-line tool bitcoin-cli to interact with the daemon.
 .
 Bitcoin Core is the reference implementation of Bitcoin.
 .
 Bitcoin (₿) is the world's first cryptocurrency,
 a form of electronic cash sent peer-to-peer
 without the need for a financial intermediary.
 .
 Beware that unless pruning is enabled,
 full global transaction history is stored locally at each client,
 which may require large amounts of disk space
 (hundreds of gigabyte).

Package: bitcoin-qt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: peer-to-peer network based digital currency - GUI
 This package provides Bitcoin Core tool Bitcoin-Qt,
 a graphical user interface for Bitcoin.
 .
 Bitcoin (₿) is the world's first cryptocurrency,
 a form of electronic cash sent peer-to-peer
 without the need for a financial intermediary.
 .
 Bitcoin Core is the reference implementation of Bitcoin.
 .
 Beware that unless pruning is enabled,
 full global transaction history is stored locally at each client,
 which may require large amounts of disk space
 (hundreds of gigabyte).

Package: bitcoin-tx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: peer-to-peer network based digital currency - transaction tool
 This package provides Bitcoin Core tool bitcoin-tx,
 a command-line tool for creating, parsing, or modifying transactions.
 .
 Bitcoin (₿) is the world's first cryptocurrency,
 a form of electronic cash sent peer-to-peer
 without the need for a financial intermediary.
 .
 Bitcoin Core is the reference implementation of Bitcoin.
 .
 Beware that unless pruning is enabled,
 full global transaction history is stored locally at each client,
 which may require large amounts of disk space
 (hundreds of gigabyte).

## bitcoin 0.17.1~dfsg

=== debian/changelog ===
bitcoin (0.17.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Fix suggest bash-completion.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Dec 2018 15:09:26 +0100

bitcoin (0.17.1~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Drop patch cherry-picked upstream since applied.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Dec 2018 18:29:47 +0100

bitcoin (0.17.0~dfsg-2) unstable; urgency=medium

  * Add patch cherry-picked upstream
    to fix wrong SSL setup causing deadlock.
    Closes: Bug#912331. Thanks to Witold Baryluk.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Nov 2018 18:03:37 +0100

bitcoin (0.17.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Clarify comments about contrib/debian/copyright slightly.
    + Drop sections for files no longer shipped upstream.
    + Extend coverage for main upstream authors.
    + Add/update sections for new/renamed files.
  * Update package relations:
    + Build-depend on python3 (not python).
    + Stop build-depend on libboost-program-options-dev.
    + Tighten to build-depend versioned on libunivalue-dev.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Oct 2018 18:25:59 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2012, 2017 Jonas Smedegaard <dr@jones.dk>
# Copyright © 2012-2015 Scott Howard <showard@debian.org>
# Description: Main Debian packaging script for Bitcoin Core
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

#testsuite needs writable $HOME and $TMPDIR (see bug#696262 #790403)
FAKETMP = $(CURDIR)/debian/faketmp

%:
	dh $@ --parallel --with autotools-dev,autoreconf,bash-completion

override_dh_auto_configure:
	mkdir -p "$(FAKETMP)"
	mkdir -p src/obj/nogui
	dh_auto_configure -- \
		--without-libs \
		--with-incompatible-bdb \
		--with-system-leveldb \
		--with-system-secp256k1 \
		--with-system-univalue

override_dh_auto_clean:
	rm -rf "$(FAKETMP)"
	rm -rf src/obj
	-rmdir --ignore-fail-on-non-empty build
	rm -f src/bitcoind
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs -k doc/release-notes.md

override_dh_install:
	dh_install --list-missing

override_dh_auto_test:
	HOME=${FAKETMP} TMPDIR=${FAKETMP} dh_auto_test || ( cat src/test-suite.log && false )

## bitcoin 0.18.0~~rc2~dfsg

=== debian/changelog ===
bitcoin (0.18.0~~rc2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for upstream authors.
  * Extend patch 1003 to cover bitcoin-wallet.1.
    Unfuzz patches.
  * Check testsuite under C.UTF-8 locale.
  * Disable benchmark tests: Currently segfaults.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Mar 2019 11:33:05 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  dh-exec,
  libboost-chrono-dev,
  libboost-filesystem-dev,
- libboost-program-options-dev,
  libboost-system-dev,
  libboost-test-dev,
  libboost-thread-dev,
@@ -26,11 +25,11 @@
  libqrencode-dev,
  libsecp256k1-dev,
  libssl-dev,
- libunivalue-dev,
+ libunivalue-dev (>= 1.0.4),
  libzmq3-dev,
  pkg-config,
  protobuf-compiler,
- python,
+ python3,
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools
@@ -45,6 +44,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ bash-completion,
 Description: peer-to-peer network based digital currency - daemon
  This package provides Bitcoin Core daemon bitcoind,
  and command-line tool bitcoin-cli to interact with the daemon.
@@ -65,6 +66,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ bash-completion,
 Description: peer-to-peer network based digital currency - GUI
  This package provides Bitcoin Core tool Bitcoin-Qt,
  a graphical user interface for Bitcoin.
@@ -85,6 +88,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ bash-completion,
 Description: peer-to-peer network based digital currency - transaction tool
  This package provides Bitcoin Core tool bitcoin-tx,
  a command-line tool for creating, parsing, or modifying transactions.

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,8 @@
 		--with-incompatible-bdb \
 		--with-system-leveldb \
 		--with-system-secp256k1 \
-		--with-system-univalue
+		--with-system-univalue \
+		--disable-bench
 
 override_dh_auto_clean:
 	rm -rf "$(FAKETMP)"
@@ -47,4 +48,4 @@
 	dh_install --list-missing
 
 override_dh_auto_test:
-	HOME=${FAKETMP} TMPDIR=${FAKETMP} dh_auto_test || ( cat src/test-suite.log && false )
+	HOME=${FAKETMP} TMPDIR=${FAKETMP} LC_ALL=C.UTF-8 dh_auto_test || ( cat src/test-suite.log && false )

## bitcoin 0.18.0~dfsg

=== debian/changelog ===
bitcoin (0.18.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Apr 2019 18:31:29 +0200

bitcoin (0.18.0~~rc4~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

  [ Jonas Smedegaard ]
  * Fix stop have bitcoin-qt suggest bash-completion.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Apr 2019 07:54:01 +0200

bitcoin (0.18.0~~rc3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Apr 2019 17:29:58 +0200

=== debian/control ===
--- 
+++ 
@@ -66,8 +66,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Suggests:
- bash-completion,
 Description: peer-to-peer network based digital currency - GUI
  This package provides Bitcoin Core tool Bitcoin-Qt,
  a graphical user interface for Bitcoin.

## bitcoin 0.20.1~dfsg

=== debian/changelog ===
bitcoin (0.20.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright:
    + minor updates to files tracked
    + update coverage
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat
    (not autotools-dev debhelper dh-autoreconf)
  * declare compliance with Debian Policy 4.5.1
  * watch:
    + simplify regular expression
    + dversionmangle=auto
    + rewrite usage comment
  * unfuzz patches
  * build-depend on lcov
  * modernize source script copyright-check
  * add CVE identitifers to previous changelog entries
  * add patch 2002
    to convert atomic to non-atomic integer for UniValue
    (needed when linking with mainline UniValue)
  * enable all hardening build flags
  * fix stop ship example files no longer shipped upstream
    (for some time, apparently)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Nov 2020 19:03:51 +0100

bitcoin (0.18.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    (CVE-2019-15947)
    + Fix 32-bit test failure.
      Closes: Bug#910455. Thanks to Adrian Bunk and Laurence Parry.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Stop track no longer shipped LGPL-3+ licensed code.
      Update lintian overrides accordingly.
  * Declare compliance with Debian Policy 4.4.0.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Aug 2019 11:50:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Micah Anderson <micah@debian.org>,
- Scott Howard <showard@debian.org>
+ Scott Howard <showard@debian.org>,
 Build-Depends:
- autotools-dev,
  bash-completion,
- debhelper,
- dh-autoreconf,
+ debhelper-compat (= 12),
  dh-exec,
+ lcov,
  libboost-chrono-dev,
  libboost-filesystem-dev,
  libboost-system-dev,
@@ -32,8 +31,8 @@
  python3,
  qt5-qmake,
  qtbase5-dev,
- qttools5-dev-tools
-Standards-Version: 4.2.1
+ qttools5-dev-tools,
+Standards-Version: 4.5.1
 Homepage: https://www.bitcoin.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/bitcoin.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/bitcoin
@@ -43,7 +42,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Suggests:
  bash-completion,
 Description: peer-to-peer network based digital currency - daemon
@@ -65,7 +64,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: peer-to-peer network based digital currency - GUI
  This package provides Bitcoin Core tool Bitcoin-Qt,
  a graphical user interface for Bitcoin.
@@ -85,7 +84,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Suggests:
  bash-completion,
 Description: peer-to-peer network based digital currency - transaction tool

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#testsuite needs writable $HOME and $TMPDIR (see bug#696262 #790403)
FAKETMP = $(CURDIR)/debian/faketmp

override_dh_auto_configure:
	mkdir -p "$(FAKETMP)"
	mkdir -p src/obj/nogui
	dh_auto_configure -- \
		--without-libs \
		--with-incompatible-bdb \
		--with-system-leveldb \
		--with-system-secp256k1 \
		--with-system-univalue \
		--disable-bench

override_dh_auto_clean:
	rm -rf "$(FAKETMP)"
	rm -rf src/obj
	-rmdir --ignore-fail-on-non-empty build
	rm -f src/bitcoind
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs -k doc/release-notes.md

override_dh_auto_test:
	HOME=${FAKETMP} TMPDIR=${FAKETMP} LC_ALL=C.UTF-8 dh_auto_test || ( cat src/test-suite.log && false )

%:
	dh $@ --with bash-completion

## bitcoin 0.21.0

=== debian/changelog ===
bitcoin (0.21.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: adjust exception shortnames

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Jan 2021 13:26:30 +0100

bitcoin (0.21.0~~rc5-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * embed libraries with upstream source,
    to reduce risk of large patches needed for future stable updates;
    link with embedded libraries,
    except when build is targeted experimental
  * copyright: update coverage
  * use debhelper compatibility level 13 (not 12);
    build-depend on dh-sequence-bash-completion
  * install command-line tool bitcoin-wallet with package bitcoin-tx

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Jan 2021 19:16:49 +0100

bitcoin (0.21.0~~rc4~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release(s)

  [ Jonas Smedegaard ]
  * fix and extend CVE hints in changelog
  * fix install "built" manpages (not source files)
  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * copyright: update coverage
  * recommend tor
    for packages bitcoind bitcoin-qt
  * unfuzz patches
  * tighten build-dependency on libsecp256k1-dev
  * build-depend on libsqlite3-dev

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jan 2021 16:30:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  Scott Howard <showard@debian.org>,
 Build-Depends:
  bash-completion,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
+ dh-sequence-bash-completion,
  lcov,
  libboost-chrono-dev,
  libboost-filesystem-dev,
@@ -22,7 +23,8 @@
  libminiupnpc-dev,
  libprotobuf-dev,
  libqrencode-dev,
- libsecp256k1-dev,
+ libsecp256k1-dev (>= 0.1~20201209),
+ libsqlite3-dev,
  libssl-dev,
  libunivalue-dev (>= 1.0.4),
  libzmq3-dev,
@@ -43,6 +45,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ tor,
 Suggests:
  bash-completion,
 Description: peer-to-peer network based digital currency - daemon
@@ -65,6 +69,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ tor,
 Description: peer-to-peer network based digital currency - GUI
  This package provides Bitcoin Core tool Bitcoin-Qt,
  a graphical user interface for Bitcoin.
@@ -87,9 +93,10 @@
  ${shlibs:Depends},
 Suggests:
  bash-completion,
-Description: peer-to-peer network based digital currency - transaction tool
- This package provides Bitcoin Core tool bitcoin-tx,
- a command-line tool for creating, parsing, or modifying transactions.
+Description: peer-to-peer network based digital currency - CLI tools
+ This package provides these Bitcoin Core command-line tools:
+  * bitcoin-tx - tool to create, parse, or modify transactions
+  * bitcoin-wallet - tool to handle Bitcoin Core wallet files offline
  .
  Bitcoin (₿) is the world's first cryptocurrency,
  a form of electronic cash sent peer-to-peer

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# detect if build is targeted experimental suite (or is a draft)
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#testsuite needs writable $HOME and $TMPDIR (see bug#696262 #790403)
FAKETMP = $(CURDIR)/debian/faketmp

# use embedded libraries except when targeted experimental
USE_SHARED_LIBRARIES = $(DEB_SUITE_EXP)

CONFIGURE_OPTS = --without-libs --with-incompatible-bdb --disable-bench
ifneq (,$(USE_SHARED_LIBRARIES))
CONFIGURE_OPTS += --with-system-leveldb --with-system-secp256k1 --with-system-univalue
else
CONFIGURE_OPTS += --without-system-leveldb --without-system-secp256k1 --without-system-univalue
endif

%:
	dh $@

execute_before_dh_auto_clean:
	rm -rf "$(FAKETMP)"
	rm -rf src/obj
	-rmdir --ignore-fail-on-non-empty build
	rm -f src/bitcoind

ifneq (,$(USE_SHARED_LIBRARIES))
execute_before_dh_clean:
	rm -rf src/leveldb src/secp256k1 src/univalue
endif

override_dh_auto_configure:
	mkdir -p "$(FAKETMP)"
	mkdir -p src/obj/nogui
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_test:
	HOME=${FAKETMP} TMPDIR=${FAKETMP} LC_ALL=C.UTF-8 dh_auto_test || ( cat src/test-suite.log && false )

override_dh_installchangelogs:
	dh_installchangelogs -k doc/release-notes.md

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
uversionmangle=s/(\d)(alpha|beta|rc)/$1~~$2/,\
dversionmangle=auto,repacksuffix=~dfsg \
https://github.com/bitcoin/bitcoin/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## bitcoin 27.0

=== debian/changelog ===
bitcoin (27.0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 18 Apr 2024 12:54:29 +0200

=== debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/bitcoin
#Vcs-Git: https://salsa.debian.org/debian/bitcoin.git

Package: bitcoin
Architecture: all
Depends:
 ${misc:Depends},
Description: <insert up to 60 chars description>
 <Insert long description, indented with spaces.>
